<div align="center">

<a href="https://lando.dev" target="_blank"><img width="250" src="https://docs.lando.dev/images/icon.svg" alt="Lando logo"></a>

# Lando

### A Liberating Dev Tool For All Your Projects

The local development and DevOps tool trusted by professional developers across the galaxy.

Free yourself from the mind-forged manacles of lesser dev tools. Save time, headaches, frustration and do more real work.

**[learn more](https://lando.dev) | 
[what is it good for?](https://docs.lando.dev/getting-started/#what-is-it-good-for) | 
[wait, doesn't docker compose do this?](https://docs.lando.dev/getting-started/#wait-doesn-t-docker-compose-do-this)**

## Support Lando

Lando is and always will be FREE and OPEN SOURCE. As such it relies on generous contributions from its community to fund its development. Join our list of list of [great sponsors!](https://lando.dev/sponsor/) by contributing.

[GitHub Sponsors](https://github.com/sponsors/lando) | 
[Patreon](https://www.patreon.com/devwithlando) | 
[OpenCollective](https://opencollective.com/lando)

## Documentation

### Getting Started

[Introduction](https://docs.lando.dev/getting-started) | 
[CLI Usage](https://docs.lando.dev/cli/) | 
[Installation](https://docs.lando.dev/getting-started/installation)

### Recipes

[Backdrop](https://docs.lando.dev/backdrop/) | 
[Drupal 6, 7, 8, 9, and 10](https://docs.lando.dev/drupal/) | 
[Joomla](https://docs.lando.dev/joomla/) | 
[Lagoon](https://docs.lando.dev/lagoon/) | 
[Laravel](https://docs.lando.dev/laravel/) | 
[LAMP](https://docs.lando.dev/lamp/) | 
[LEMP](https://docs.lando.dev/lemp/) | 
[MEAN](https://docs.lando.dev/mean/) | 
[Pantheon](https://docs.lando.dev/pantheon/) | 
[Platform.sh](https://docs.lando.dev/platformsh/) | 
[WordPress](https://docs.lando.dev/wordpress/)

### Services

[Apache](https://docs.lando.dev/apache/) | 
[Compose](https://docs.lando.dev/compose/) | 
[dotnet](https://docs.lando.dev/dotnet/) | 
[Elasticsearch](https://docs.lando.dev/elasticsearch/) | 
[Go](https://docs.lando.dev/go/) | 
[MailHog](https://docs.lando.dev/mailhog/) | 
[MariaDB](https://docs.lando.dev/mariadb/) | 
[MySQL](https://docs.lando.dev/mysql/) | 
[MSSQL](https://docs.lando.dev/mssql/) | 
[nginx](https://docs.lando.dev/nginx/) | 
[Node](https://docs.lando.dev/node/) | 
[PHP](https://docs.lando.dev/php/) | 
[PhpMyAdmin](https://docs.lando.dev/phpmyadmin/) | 
[Postgres](https://docs.lando.dev/postgres/) | 
[Python](https://docs.lando.dev/python/) | 
[Redis](https://docs.lando.dev/redis/) | 
[Ruby](https://docs.lando.dev/ruby/) | 
[Solr](https://docs.lando.dev/solr/) | 
[Tomcat](https://docs.lando.dev/tomcat/) | 
[Varnish](https://docs.lando.dev/varnish/)

### Advanced Configuration

[Landofile](https://docs.lando.dev/config/lando.html) | 
[Recipes](https://docs.lando.dev/config/recipes.html) | 
[Services & Build Steps](https://docs.lando.dev/config/services.html) | 
[Tooling](https://docs.lando.dev/config/tooling.html) | 
[Proxy & Nice Url Routing](https://docs.lando.dev/config/proxy.html) | 
[Environment](https://docs.lando.dev/config/env.html) | 
[Events & Automation](https://docs.lando.dev/config/events.html) | 
[Experimental](https://docs.lando.dev/config/experimental.html) | 
[Networking](https://docs.lando.dev/config/networking.html) | 
[Performance](https://docs.lando.dev/config/performance.html) | 
[Release Channels](https://docs.lando.dev/config/releases.html) | 
[SSH Keys](https://docs.lando.dev/config/ssh.html) | 
[Global Config](https://docs.lando.dev/config/global.html)

## Help, Troubleshooting & Support

[Guides and Tutorials](https://docs.lando.dev/guides/lando-info.html) | 
[Examples](https://docs.lando.dev/getting-started/what-it-do.html#you-have-some-examples) | 
[Known Issues](https://docs.lando.dev/help/dns-rebind.html) | 
[Accessing Logs](https://docs.lando.dev/help/logs.html) | 
[GitHub Issue Queue](https://github.com/lando/lando/issues) | 
[Slack Channel](https://launchpass.com/devwithlando) | 
[YouTube Videos](https://www.youtube.com/channel/UCl_QBNuGJNoo7yH-n18K7Kg)

## Engage

[Contribute to the Project](https://docs.lando.dev/contrib) | 
[Join the Alliance](https://docs.lando.dev/contrib) | 
[Events and Meetups](https://lando.dev/events/) | 
[Blog](https://lando.dev/blog/) | 
[Follow on Twitter](https://twitter.com/devwithlando)

## Security Issues
If you have discovered a security issue with Lando, please contact the Lando Security Team directly at [security@devwithlando.io](mailto:security@devwithlando.io). We manage security issues separately in a private repository until the issue has been resolved. Even if you're not sure if it's a security problem, please contact the security team before filing an issue, blogging, or tweeting about it.

## Other Resources
* [Mountain climbing advice](https://www.youtube.com/watch?v=tkBVDh7my9Q)
